manifest_version = 1

[rootfs]
url = "https://github.com/elysium-os/chariot-rootfs/releases/download/20260301T023033Z/rootfs-amd64.tar.xz"
hash = "11a7e683043fc9e9a6ff6f03838f79202d4cb67f0b375a365e2f5d88a3ec0a74"

[commands]
setup = """
echo "en_US.UTF-8 UTF-8" > /etc/locale.gen

echo "Acquire::Check-Valid-Until \"false\";" > /etc/apt/apt.conf
echo "Binary::apt::APT::Keep-Downloaded-Packages \"true\";" >> /etc/apt/apt.conf
echo "APT::Install-Suggests \"false\";" >> /etc/apt/apt.conf
echo "APT::Install-Recommends \"false\";" >> /etc/apt/apt.conf
echo "APT::Sandbox::User \"root\";" >> /etc/apt/apt.conf
echo "Dpkg::Use-Pty \"false\";" >> /etc/apt/apt.conf
echo "Dir::Log::Terminal \"\";" >> /etc/apt/apt.conf
echo 'force-unsafe-io' > /etc/dpkg/dpkg.cfg.d/unsafe-io

apt-get update
apt-get install -y locales
locale-gen

groupadd -g 1000 chariot
useradd -u 1000 -g 1000 -M -s /bin/bash chariot
passwd -l chariot

apt-get install -y @ROOT_PACKAGES@
"""
pkg_download = "apt-get install -y --download-only @PACKAGE@"
pkg_install = "apt-get install -y @PACKAGE@"

[ids]
root_uid = 0
root_gid = 0
user_uid = 1000
user_gid = 1000